Bug 817412 - there is no permission/privilege for modifying automount keys
there is no permission/privilege for modifying automount keys
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: ipa (Show other bugs)
6.3
Unspecified Unspecified
medium Severity unspecified
: rc
: ---
Assigned To: Rob Crittenden
Namita Soman
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-29 16:20 EDT by Dmitri Pal
Modified: 2013-02-21 04:12 EST (History)
2 users (show)

See Also:
Fixed In Version: ipa-3.0.0-1.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-21 04:12:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dmitri Pal 2012-04-29 16:20:50 EDT
This bug is created as a clone of upstream ticket:
https://fedorahosted.org/freeipa/ticket/2687

There is no way to delegation modifying an existing automount key. The automountinformation at least needs to be changeable, if not the mount point too.
Comment 1 RHEL Product and Program Management 2012-07-10 02:22:08 EDT
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 2 RHEL Product and Program Management 2012-07-10 19:27:36 EDT
This request was erroneously removed from consideration in Red Hat Enterprise Linux 6.4, which is currently under development.  This request will be evaluated for inclusion in Red Hat Enterprise Linux 6.4.
Comment 3 Rob Crittenden 2012-07-11 14:16:57 EDT
Fixed upstream

master: 4760c15cb2c8692b0e258ef62234aa18ab5fc193

An easy way to test this is to add a user to the IT Specialist role and try to modify an existing automount key. In this example we'll add a new one then modify it.

$ kinit someuser
$ ipa automountmap-add-indirect default auto.share --mount=/share
$ ipa automountkey-add default auto.share --key=key --info=something
$ ipa automountkey-mod default auto.share --key=key --newinfo=new
Comment 6 Namita Soman 2013-01-14 09:43:46 EST
Verified using ipa-server-3.0.0-20.el6.x86_64

# ipa user-add abc
First name: abc
Last name: abc
----------------
Added user "abc"
----------------
  User login: abc
  First name: abc
  Last name: abc
  Full name: abc abc
  Display name: abc abc
  Initials: aa
  Home directory: /home/abc
  GECOS field: abc abc
  Login shell: /bin/sh
  Kerberos principal: abc@TESTRELM.COM
  Email address: abc@testrelm.com
  UID: 976200003
  GID: 976200003
  Password: False
  Kerberos keys available: False

# ipa passwd abc
New Password: 
Enter New Password again to verify: 
---------------------------------------
Changed password for "abc@TESTRELM.COM"
---------------------------------------



# ipa role-add-member "IT Specialist" --users=abc
  Role name: IT Specialist
  Description: IT Specialist
  Member users: abc
-------------------------
Number of members added 1
-------------------------


# kinit abc
Password for abc@TESTRELM.COM: 
Password expired.  You must change it now.
Enter new password: 
Enter it again: 

# ipa automountmap-add-indirect default auto.share --mount=/share
--------------------------------
Added automount map "auto.share"
--------------------------------
  Map: auto.share

# ipa automountkey-add default auto.share --key=key --info=something
-------------------------
Added automount key "key"
-------------------------
  Key: key
  Mount information: something

# ipa automountkey-mod default auto.share --key=key --newinfo=new
----------------------------
Modified automount key "key"
----------------------------
  Key: key
  Mount information: new

Negative test...tried using a user who doesn't have the role of "IT Specialist":

# ipa user-add one
First name: one
Last name: one
----------------
Added user "one"
----------------
  User login: one
  First name: one
  Last name: one
  Full name: one one
  Display name: one one
  Initials: oo
  Home directory: /home/one
  GECOS field: one one
  Login shell: /bin/sh
  Kerberos principal: one@TESTRELM.COM
  Email address: one@testrelm.com
  UID: 976200004
  GID: 976200004
  Password: False
  Kerberos keys available: False

# ipa passwd one
New Password: 
Enter New Password again to verify: 
---------------------------------------
Changed password for "one@TESTRELM.COM"
---------------------------------------

# kinit one
Password for one@TESTRELM.COM: 
Password expired.  You must change it now.
Enter new password: 
Enter it again: 

# ipa automountmap-add-indirect default auto.share --mount=/share
ipa: ERROR: Insufficient access: Insufficient 'add' privilege to add the entry 'automountmapname=auto.share,cn=default,cn=automount,dc=testrelm,dc=com'.
Comment 8 errata-xmlrpc 2013-02-21 04:12:14 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0528.html

Note You need to log in before you can comment on or make changes to this bug.